#ifndef __AIPLAY_H__
#define __AIPLAY_H__


typedef struct aiplay aiplay_t;

aiplay_t* aiplay_open(void *native_window_hanlder, int w, int h);

void aiplay_close(aiplay_t *ap);

void aiplay_play(aiplay_t *ap, const char *filename);


typedef struct aiplay_event {
    int type;
    int content;
}aiplay_event_t;

typedef void(*aiplay_event_cb_t)(void *user_ctx, aiplay_event_t event);

void aiplay_set_callback(aiplay_t *ap, aiplay_event_cb_t cb, void *user_ctx);


#endif